Project

General

Profile

action #90368

Create qcow with libyui pre-installed (or update existing ones to include it)

Added by JRivrain 7 months ago. Updated 5 months ago.

Status:
Closed
Priority:
Normal
Target version:
SUSE QA - SLE 15 SP3
Start date:
2021-03-19
Due date:
% Done:

0%

Estimated time:

Description

In some cases, like for running libyui in pre-installed system, we have to install libyui every time. in the case of firstboot it even involves creating a special init file. We could simplify things and reduce test execution times by having directly a qcow image with libyui.
We also open single port for the REST API, we can either enable range of ports, or even disable it and cover cases where firewall rules have to be tested separately.

We should cover yast2 gui/ncurses + firstboot tests.

Acceptance criteria

  1. Image with pre-configured dependencies required for the libyui REST API is available for SLES and openSUSE
  2. Images for both gnome and text mode are available (see create_hdd_gnome and create_hdd_textmode)

History

#1 Updated by riafarov 7 months ago

  • Target version set to SLE 15 SP3

#2 Updated by riafarov 7 months ago

  • Description updated (diff)

#3 Updated by riafarov 7 months ago

  • Description updated (diff)
  • Status changed from New to Workable

#4 Updated by syrianidou_sofia 6 months ago

  • Status changed from Workable to In Progress
  • Assignee set to syrianidou_sofia

#6 Updated by syrianidou_sofia 5 months ago

  • Status changed from Feedback to Closed

tests pass for o3

Also available in: Atom PDF